# Class CalendarAttendee

java.lang.Object
com.codename1.calendar.CalendarAttendee

public class CalendarAttendee extends Object
A person, group, or resource invited to an event.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `CalendarAttendee.Response`
  `static enum`
  `CalendarAttendee.Role`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CalendarAttendee()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getEmail()`
  `String`
  `getName()`
  `CalendarAttendee.Response`
  `getResponse()`
  `CalendarAttendee.Role`
  `getRole()`
  `String`
  `getUri()`
  `boolean`
  `isOrganizer()`
  `boolean`
  `isSelf()`
  `CalendarAttendee`
  `setEmail(String v)`
  `CalendarAttendee`
  `setName(String v)`
  `CalendarAttendee`
  `setOrganizer(boolean v)`
  `CalendarAttendee`
  `setResponse(CalendarAttendee.Response v)`
  `CalendarAttendee`
  `setRole(CalendarAttendee.Role v)`
  `CalendarAttendee`
  `setSelf(boolean v)`
  `CalendarAttendee`
  `setUri(String v)`

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CalendarAttendee

    public CalendarAttendee()

- ## Method Details

  - ### getName

    public String getName()

  - ### setName

    public CalendarAttendee setName(String v)

  - ### getEmail

    public String getEmail()

  - ### setEmail

    public CalendarAttendee setEmail(String v)

  - ### getUri

    public String getUri()

  - ### setUri

    public CalendarAttendee setUri(String v)

  - ### getRole

    public CalendarAttendee.Role getRole()

  - ### setRole

    public CalendarAttendee setRole(CalendarAttendee.Role v)

  - ### getResponse

    public CalendarAttendee.Response getResponse()

  - ### setResponse

    public CalendarAttendee setResponse(CalendarAttendee.Response v)

  - ### isOrganizer

    public boolean isOrganizer()

  - ### setOrganizer

    public CalendarAttendee setOrganizer(boolean v)

  - ### isSelf

    public boolean isSelf()

  - ### setSelf

    public CalendarAttendee setSelf(boolean v)